Locale::getDisplayVariant
Locale::getPrimaryLanguage
Locale
PHP Manual

# Locale::getKeywords

# locale_get_keywords

Gets the keywords for the input locale

### Description

Object oriented style

public static array Locale::getKeywords ( string `$locale` )

Procedural style

array locale_get_keywords ( string `$locale` )

Gets the keywords for the input locale.

### Parameters

`locale`

  The locale to extract the keywords from

### Return Values

Associative array containing the keyword-value pairs for this locale

### Examples

Example #1 locale_get_keywords example

`<?php
$keywords_arr = locale_get_keywords( 'de_DE@currency=EUR;collation=PHONEBOOK' );
if ($keywords_arr) {
foreach ($keywords_arr as $key => $value) {
echo "$key = $value\n";
}
}
?>`

Example #2 OO example

`<?php
$keywords_arr = Locale::getKeywords( 'de_DE@currency=EUR;collation=PHONEBOOK' );
if ($keywords_arr) {
foreach( $keywords_arr as $key => $value){
echo "$key = $value\n";
}
}
?>`

The above example will output:

    collation = PHONEBOOK
    currency = EUR

### See Also

- locale_get_all_variants